/* $Workfile: $   $Revision: $    $Modtime: $  */
/*--------------------------------------------------------------------------*\

  Odin TeleSystems Inc.

  SAA-1007-1 OTX DSP C54x Software Development Kit (SDK)

  Linker Command file for the OTX DSP C54x SDK DspDemo1c5410a.out application.

  Targeted for the C5410A DSP. Near mode.

\*--------------------------------------------------------------------------*/

/*********************************\
    .obj files to be linked
\*********************************/
"5410a\DspDemo1.obj"
"5410a\Dsp54Api.obj"


/*********************************\
    Linker options
\*********************************/
-w
-c                             /* C runtime environment init (ROM model) */
-o "5410a\DspDemo1c5410a.out"  /* output file */
-m "5410a\DspDemo1c5410a.map"  /* map file    */
-l rts.lib                     /* Run-time Support library */
-l csl5410A.lib                /* Chip Support library for the 5410a DSP */


-stack 0x200
-heap 0x1000


/*********************************\
    Memory Configuration
\*********************************/
MEMORY
{
        PAGE 0: VECS    (RWX)  : origin = 0180h, length = 0080h
                PROG    (RWX)  : origin = 5000h, length = 2000h

        PAGE 1: STACK   (RW)   : origin = 0400h, length = 0200h
                HEAP    (RW)   : origin = 4000h, length = 1000h
                AUTOBUF (RW)   : origin = 0800h, length = 0800h
                HPI     (RW)   : origin = 7000h, length = 1000h
                DATA    (RW)   : origin = 1000h, length = 3000h 
}



SECTIONS
{
        .text         : > PROG        PAGE 0
        .cinit        : > PROG        PAGE 0
        .switch       : > PROG        PAGE 0
        vectors       : > VECS        PAGE 0

        .cio          : > DATA        PAGE 1
        .data         : > DATA        PAGE 1
        .bss          : > DATA        PAGE 1
        .const        : > DATA        PAGE 1
        .sysmem       : > HEAP        PAGE 1
        .stack        : > STACK       PAGE 1
		.csldata      : > DATA        PAGE 1
				      
        autobuff      : > AUTOBUF     PAGE 1
}

